PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Attributes | Static Public Attributes | List of all members
PMemoryHeap::Header Struct Reference

`#include <object.h>`

Collaboration diagram for PMemoryHeap::Header:
[legend]

## Public Types
enum | { NumGuardBytes }

## Public Attributes
Header * | prev
Header * | next
const char * | className
const char * | fileName
size_t | size
DWORD | request
WORD | line
BYTE | flags
PThreadIdentifier | threadId
char | guard [NumGuardBytes]

## Static Public Attributes
static char | GuardBytes [NumGuardBytes]

## Member Enumeration Documentation

anonymous enum

Enumerator
NumGuardBytes |

## Member Data Documentation

const char* PMemoryHeap::Header::className

const char* PMemoryHeap::Header::fileName

BYTE PMemoryHeap::Header::flags

char PMemoryHeap::Header::guard[NumGuardBytes]

char PMemoryHeap::Header::GuardBytes[NumGuardBytes]
| static

WORD PMemoryHeap::Header::line

Header* PMemoryHeap::Header::next

Header* PMemoryHeap::Header::prev

DWORD PMemoryHeap::Header::request

size_t PMemoryHeap::Header::size

PThreadIdentifier PMemoryHeap::Header::threadId

The documentation for this struct was generated from the following file:

- object.h